# Class CIM_J2eeServletInModule
extends CIM_ServiceComponent

CIM_J2eeServletInModule is a aggregation of the servlet components within a deployed WAR module.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_J2eeServletInModule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | CIM_J2eeServletInModule is a aggregation of the servlet components within a deployed WAR module.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_J2eeServletInModule | CIM_J2eeWebModule
PartComponent | CIM_J2eeServletInModule | CIM_J2eeServlet

## Class Methods